Bug 531365 - [RFE] include SMART snapshot data in all bugs filed against devicekit-disks, palimpsest, libatasmart
Summary: [RFE] include SMART snapshot data in all bugs filed against devicekit-disks, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-27 21:21 UTC by Lennart Poettering
Modified: 2011-06-24 03:24 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:24:49 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2009-10-27 21:21:27 UTC
Note sure if abrt supports plugins, but it would be nice if all bugs that are filed with abrt against the disk health related packages (such as devicekit-disks, libatasmart, gnome-disk-utility/palimpsest) would automatically include snapshots of the ATA SMART data from those drives as generated with 'skdump --save=foo /dev/sda'.

Comment 1 Lennart Poettering 2009-10-27 21:22:46 UTC
In fact davidz wants to see even more data gathered automatically:

http://www.freedesktop.org/wiki/Software/DeviceKit-disks

Comment 2 Bug Zapper 2009-11-16 14:27:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 David Zeuthen 2010-05-04 14:36:05 UTC
(In reply to comment #1)
> In fact davidz wants to see even more data gathered automatically:
> 
> http://www.freedesktop.org/wiki/Software/DeviceKit-disks    

That's http://www.freedesktop.org/wiki/Software/udisks nowadays. But, yeah, having this data automatically be part of the bug submission process would be great!

Comment 4 Bug Zapper 2010-11-04 09:02:39 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jiri Moskovcak 2010-11-04 09:37:21 UTC
It's still valid, changing to rawhide

Comment 6 Denys Vlasenko 2011-05-12 13:45:53 UTC
Added in commit e123c5f3b4bdd10f3b495a4a948f6c452ed6205f, but there is a bug in abrt event running code which prevents correct operation. Working on it.

Comment 7 Denys Vlasenko 2011-05-17 13:56:22 UTC
Fixed in git by this commit:

commit a1275c845a4ba0b355395d7bc3473509f4695b8e
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Tue May 17 15:53:45 2011 +0200

    run_event.c: fix "EVENT=post-create component=mypkg doesn't work" bug. Closes bz#531365

Comment 8 Fedora Update System 2011-06-21 13:44:50 UTC
abrt-2.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15

Comment 9 Fedora Update System 2011-06-21 23:55:48 UTC
Package abrt-2.0.3-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.3-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.3-1.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-06-24 03:22:49 UTC
abrt-2.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.